Name:		nagios-plugins-varnish
Version:	1.0.0.99
Release:	4.2
Summary:	Nagios plugin to check varnish proxy
Group:		Applications/System
License:	GPL
URL:		http://www.varnish-cache.org
Source0:	%{name}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

Provides:	check-varnish-health
Provides:	check_varnish_health
BuildRequires:	varnish-devel pkgconfig

%description


%prep
%setup -n %{name}
./autogen.sh
./configure \
--prefix=%{_prefix} \
--exec-prefix=%{_prefix} \
--libexecdir=%{_prefix}/lib/nagios/plugins \
--sysconfdir=%{_sysconfdir}/nagios \
--datadir=%{_datadir}

%build
%__make

%install
mkdir -p %{buildroot}%{_prefix}/lib/nagios/plugins
%__make DESTDIR=%{buildroot} install

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%dir %{_prefix}/lib/nagios
%dir %{_prefix}/lib/nagios/plugins
%{_prefix}/lib/nagios/plugins/check_varnish
%doc LICENSE

%changelog
* Thu Oct 15 2008 Carsten Schoene <cs@linux-administrator.com>
- initial build
